%define upstream_name    IO-Pty-Easy
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Easy interface to IO::Pty
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
# Fix a race in t/read-write.t test, bug #1314777, CPAN RT#95702
Patch0:         IO-Pty-Easy-0.09-Fix-a-race-in-t-read-write.t-test.patch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'IO::Pty::Easy' provides an interface to the IO::Pty manpage which hides
most of the ugly details of handling ptys, wrapping them instead in simple
spawn/read/write commands.

'IO::Pty::Easy' uses the IO::Pty manpage internally, so it inherits all of
the portability restrictions from that module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-10.mga6
+ Revision: 1028775
- Rebuild for perl 5.22.2

* Wed Mar 23 2016 tv <tv> 0.90.0-9.mga6
+ Revision: 994278
- testsuite fix from FC

* Thu Feb 18 2016 umeabot <umeabot> 0.90.0-8.mga6
+ Revision: 965144
- Mageia 6 Mass Rebuild

* Thu Dec 11 2014 sander85 <sander85> 0.90.0-7.mga5
+ Revision: 802709
- use make instead of %%make for tests

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 788219
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 744740
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 685074
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 512292
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 218753
- update to 0.09

* Sat Jan 22 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 32093
- mageia rebuild
- imported package perl-IO-Pty-Easy

